ChangeSet 1.1276.1.20, 2003/08/27 10:49:57-07:00, bellucda@tiscali.it

[PATCH] Audit and minor cleanups in drivers/usb/*

- if usb_register fails report back its return code rather than -1


 drivers/usb/misc/brlvger.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/misc/brlvger.c b/drivers/usb/misc/brlvger.c
--- a/drivers/usb/misc/brlvger.c	Tue Sep  2 12:45:27 2003
+++ b/drivers/usb/misc/brlvger.c	Tue Sep  2 12:45:27 2003
@@ -249,17 +249,20 @@
 static int
 __init brlvger_init (void)
 {
+	int retval;
 	printk(BANNER);
 
 	if(stall_tries < 1 || write_repeats < 1)
 	  return -EINVAL;
 
-	if (usb_register(&brlvger_driver)) {
+	retval = usb_register(&brlvger_driver);
+	if (retval) {
 		err("USB registration failed");
-		return -ENOSYS;
+		goto out;
 	}
 
-	return 0;
+out:
+	return retval;
 }
 
 static void
